%define tarname  Pony_Prog2000
%define tardirname PonyProg2000

Name:		ponyprog2000
Summary:	Device programmer software
Version:	2.07c
Release:	3.1
License:	GPL-2.0+
Group:		Development/Tools/Other
Source:		http://downloads.sourceforge.net/ponyprog/%{tarname}-%{version}.tar.bz2
URL:	        http://www.lancos.com/ppwin95.html
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  openmotif-devel gcc-c++ xorg-x11-devel
Patch0:         %{name}-no-io-h
Patch1:         %{name}-no-pointer-wrapping
Patch2:         %{name}-font
Patch3:         %{name}-ignore-xerror
Patch4:         %{name}-lib64
Patch5:         %{name}-no-netscape
Patch6:         %{name}-fix-gcc43
Patch7:         %{name}-use-g++.diff
Patch8:         %{name}-fix-Makefile.diff
Patch9:         %{name}-no-narrowing.patch
PreReq:         sed

%description
PonyProg is a serial device programmer software with a user friendly GUI
framework available for Windows95, 98, 2000 & NT and Intel Linux. Its purpose
is reading and writing every serial device. At the moment it supports I²C Bus,
Microwire, SPI eeprom, the Atmel AVR and Microchip PIC micro.

Author
------
        Claudio Lanconelli <lancos@libero.it>

%prep
%setup -n %{tardirname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
x=${PWD//\//\\\/}
sed -i "s/^\(HOMEV.*=.\).*/\1$x\/v/" v/Config.mk
sed -i "s/^USE_3D = yes/USE_3D = no/" v/Config.mk
sed -i "s/^TOOLKIT.*/TOOLKIT = Motif/" v/Config.mk
mkdir v/obj
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 bin/ponyprog2000 $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING ponyprog.ico
%{_bindir}/*

%changelog
* Wed Mar  7 2018 bugs@vdm-design.de
- Avoid -Wnarrowing warnings which cause the build to fail
  Added patch ponyprog2000-no-narrowing.patch
* Sun Oct 10 2010 bernhard@bwalle.de
- Fix build for new versions of GNU make.
* Sun Dec 20 2009 bernhard@bwalle.de
- Update to 2.07c
- Drop ponyprog2000-uucp-lockdir: Not needed in new code.
* Sat Dec 15 2007 bwalle@suse.de
- fix build for gcc 4.3
* Sun Nov 11 2007 bwalle@suse.de
- adjust lockdir for serial ports (/var/lock instead of
  /var/lock/uucp)
* Sun Nov 11 2007 bwalle@suse.de
- initial SUSE package
